org.apache.hadoop.hdfs.federation.protocol.proto

## Interface HdfsServerFederationProtos.DisabledNameserviceRecordProtoOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    HdfsServerFederationProtos.DisabledNameserviceRecordProto, HdfsServerFederationProtos.DisabledNameserviceRecordProto.Builder
  Enclosing class:
    HdfsServerFederationProtos

      public static interface HdfsServerFederationProtos.DisabledNameserviceRecordProtoOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDateCreated()` `optional uint64 dateCreated = 1;`
    `long` | `getDateModified()` `optional uint64 dateModified = 2;`
    `String` | `getNameServiceId()` `optional string nameServiceId = 3;`
    `com.google.protobuf.ByteString` | `getNameServiceIdBytes()` `optional string nameServiceId = 3;`
    `boolean` | `hasDateCreated()` `optional uint64 dateCreated = 1;`
    `boolean` | `hasDateModified()` `optional uint64 dateModified = 2;`
    `boolean` | `hasNameServiceId()` `optional string nameServiceId = 3;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasDateCreated

          boolean hasDateCreated()

      `optional uint64 dateCreated = 1;`

    - #### getDateCreated

          long getDateCreated()

      `optional uint64 dateCreated = 1;`

    - #### hasDateModified

          boolean hasDateModified()

      `optional uint64 dateModified = 2;`

    - #### getDateModified

          long getDateModified()

      `optional uint64 dateModified = 2;`

    - #### hasNameServiceId

          boolean hasNameServiceId()

      `optional string nameServiceId = 3;`

    - #### getNameServiceId

          String getNameServiceId()

      `optional string nameServiceId = 3;`

    - #### getNameServiceIdBytes

          com.google.protobuf.ByteString getNameServiceIdBytes()

      `optional string nameServiceId = 3;`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.